フォルダーを取得
curl --request POST \
--url https://api.hubapi.com/cms/v3/pages/landing-pages/folders/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
"<string>"
]
}
'import requests
url = "https://api.hubapi.com/cms/v3/pages/landing-pages/folders/batch/read"
payload = { "inputs": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: ['<string>']})
};
fetch('https://api.hubapi.com/cms/v3/pages/landing-pages/folders/batch/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"category": 123,
"created": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"parentFolderId": 123,
"updated": "2023-11-07T05:31:56Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"category": 123,
"created": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"parentFolderId": 123,
"updated": "2023-11-07T05:31:56Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}フォルダー
Retrieve folders
リクエスト本文で識別されているようにランディングページフォルダーをバッチ取得します。
POST
/
cms
/
v3
/
pages
/
landing-pages
/
folders
/
batch
/
read
フォルダーを取得
Supported products
Supported products
Required Scopes
Required Scopes
承認
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
クエリパラメータ
削除済みのフォルダーを返すかどうかを指定します。デフォルト値は「false」です。
ボディ
application/json
Wrapper for providing an array of strings as inputs.
入力する文字列。
レスポンス
successful operation
Response object for successful batch operations on content folders.
バッチオペレーションの完了時刻。
バッチオペレーションの結果。
Show child attributes
Show child attributes
バッチオペレーションの開始時刻。
バッチオペレーションのステータス。
利用可能なオプション:
CANCELED, COMPLETE, PENDING, PROCESSING バッチオペレーションに関連付けられたリンク。
Show child attributes
Show child attributes
バッチオペレーションのリクエスト時刻。
最終更新日 2026年4月10日
⌘I